Subject: bug#3554: closed (Re: bug#3554: Emacsclient over SSH switches behavior of C-backspace and C-delete)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 10 Sep 2016 21:26:01 +0000

Your bug report

#3554: Emacsclient over SSH switches behavior of C-backspace and C-delete

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
3554: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3554
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#3554: Emacsclient over SSH switches behavior of C-backspace and C-delete
From: Alan Third <[email-masked]>
To: Nobuko Three <[email-masked]>
Cc: [email-masked]
Date: Sat, 10 Sep 2016 22:25:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Alan Third <[email-masked]> writes:

> Hi, sorry it's taken so long for someone to respond to your bug report.
> I can't reproduce this by sshing into a remote PC, and can't currently
> check it over localhost.
>
> Are you able to confirm whether you're still seeing this behaviour?

As it's been over 16 weeks with no response, I'm going to close this
bug. If you're still seeing it let us know.
-- 
Alan Third

Subject: Emacsclient over SSH switches behavior of C-backspace and C-delete
From: Nobuko Three <[email-masked]>
To: [email-masked]
Date: Sat, 13 Jun 2009 11:06:13 -0700 (PDT)

* Short description 

Emacsclient that is X-forward over SSH switches bindings for C-backspace and
C-delete.

* How to reproduce the bug

First, run Emacs with -Q option on.

$ emacs -Q &

Then evaluate the following to start server:

(require 'server)
(server-start)

Now ssh into localhost

$ ssh -X localhost

And start an emacsclient frame by running the following command from the ssh
session.

$ emacsclient -c &

Try C-backspace (originally bound to backward-kill-word) and C-delete
(originally, kill-word), you'll see their behavior is switched.

When I start emacs (rather than emacsclient -c) from the ssh session,
there's no problem.
When I run emacsclient -c without involving an ssh session, there's no
problem either.

* Workarounds

1. Stick to M-DEL and M-d, which aren't affected.

* System

Emacs (version)
"GNU Emacs 23.0.60.1 (i486-pc-linux-gnu, GTK+ Version 2.14.3)
 of 2008-10-14 on rothera, modified by Debian"

Ubuntu 8.10

-- 
View this message in context: http://www.nabble.com/Emacsclient-over-SSH-switches-behavior-of-C-backspace-and-C-delete-tp24014909p24014909.html
Sent from the Emacs - Bugs mailing list archive at Nabble.com.